Package org.apache.wiki.htmltowiki.syntax

# Class OptionDecorator

java.lang.Object
org.apache.wiki.htmltowiki.syntax.OptionDecorator

public class OptionDecorator extends Object

Translates to wiki syntax from a `OPTION` element.

Since this element outputs into the value of a parameter inside the `FormSelect` plugin, there shouldn't be a reason to extend this class when developing a new wiki syntax (although you may do if you want to).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final XHtmlElementToWikiTranslator`
`chain`
`protected final PrintWriter`
`out`

## Constructor Summary

Constructors
Constructor
Description
`OptionDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)`

## Method Summary

Modifier and Type
Method
Description
`void`
`decorate(org.jdom2.Element base, org.jdom2.Element e)`
Translates the given XHTML element into wiki markup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### out

protected final PrintWriter out

### chain

protected final XHtmlElementToWikiTranslator chain

## Constructor Details

### OptionDecorator

public OptionDecorator(PrintWriter out, XHtmlElementToWikiTranslator chain)

## Method Details

### decorate

public void decorate(org.jdom2.Element base, org.jdom2.Element e) throws org.jdom2.JDOMException
Translates the given XHTML element into wiki markup.

Parameters:
  `base` - the parent of the XHTML element being translated.
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`